/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.customizing;

import org.eclipse.jface.action.ContributionItem;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.widgets.Composite;


public class StatusbarItem extends ContributionItem {

	private static CLabel label;
	private static String text = "      ";


	public void fill(Composite parent) {
		label = new CLabel(parent, SWT.SHADOW_IN | SWT.LEFT);		
		label.setSize(120, 20);
		label.setText(text);
		label.setToolTipText("New file's type");	
	}
	
	public static void setText(String type) {
		text = type;
		label.setText(type);
	}		
}
