/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.spreadsheet.ui;

public class Constant {
	
	private Constant () {
		
	}

	public final static String ODS_FILE_LIST_GROUP_NAME = "Files List";
	
	public final static String ODS_FILE_LIST_TOOLTIP = "Double click a item in this list to open a demo Spreadsheet";
	
	public final static String CELLS_GROUP_NAME = "Spreadsheet";
	
	public final static String CREAT_CHART_NAME = "Chart";
	
	public final static String CREAT_DATA_PILOT_NAME = "Data Pilot";
	
	public final static String CHART_BUTTON_TOOLTIP_TEXT = "Creat a chart for this spreadsheet.";
	
	public final static String DATA_PILOT_BUTTON_TOOLTIP_TEXT = "Creat a data pilot for this spreadsheet.";
	
	public final static String SET_LABEL_NAME = "Set a value to specified cell: ";
	
	public final static String VALUE_LABEL_NAME = "Value:";
	
	public final static String VALUE_LABEL_TOOLTIP_TEXT = "The value of a cell.";
	
	public final static String X_LABEL_NAME = "Col X:";
	
	public final static String X_LABEL_TOOLTIP_TEXT = "The Col coordinate of a cell.";
	
	public final static String Y_LABEL_NAME = "Row Y:";
	
	public final static String Y_LABEL_TOOLTIP_TEXT = "The Row coordinate of a cell.";
	
	public final static String SET_BUTTON_NAME = "Set";
	
	public final static String SET_BUTTON_TOOLTIP_TEXT = "Set the value to the cell specified by Col X and Row Y.";
}
